using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace _1533091_RadGrid_paste_event
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();
            this.radGridView1.ClipboardPasteMode = GridViewClipboardPasteMode.Enable;
            this.radGridView1.Pasting += RadGridView1_Pasting;
        }

        private void RadGridView1_Pasting(object sender, GridViewClipboardEventArgs e)
        {
            Console.WriteLine("Pasting");
        }

        private void RadForm1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'nwindDataSet.Employees' table. You can move, or remove it, as needed.
            this.employeesTableAdapter.Fill(this.nwindDataSet.Employees);

        }
    }
}
